Skip to main content
Contract / Budgets

Get contract budgets for the specified search criteria

This method requires the ContractBudgets:Get permission to be associated with your role.

GET
/fm/contract/budgets

Allows you to retrieve Budget details for a Contract.

A single Contract may have 1000s of records depending on the specified Periodic Interval, Posting Classes and Term (eg Weekly Pay Cycle with 10 Posting Classes (FIN, MAINT, REG etc) over 60 months will have 2600 budget records.

Use the Billing Period, Posting Class Code and Page filters to return a manageable set of results.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contract_idstringqueryrequired

Contract Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
billing_periodintegerquery

Optional billing period restriction

Required range: 1 <= x <= 999
posting_class_codestringquery

Optional posting class code restriction

Maximum string length: 8
Pattern: ^[A-Z0-9\&\-\_]+$
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

itemsobject[]